/* fp.js
 * Scripts common to Future Publishing installer pages
 * Matt Kynaston (kynaston@yahoo.com), December 2000
 * functions starting with MM_ are from Macromedia Dreamweaver
*/

/* fp_swapAnchors()
 * if browser is IE4+ goes through document finding anchors pointing to executables
 * and substitutes calls to launch() so IntraLaunch works
*/
function fp_swapAnchors() { //v1.0
	if (document.ie4plus) {
		if (document.IntraLaunch) {
			var lnks = document.links;
			for(var i=0;i<lnks.length;i++) { 
				var href = lnks[i].href;
				if(href.toLowerCase().indexOf(".exe") == href.length-4) {
					lnks[i].href = "javascript:launch('"+fp_pathFromRoot(href)+"')";
		}	}	}
		else alert("Alert! The IntraLaunch object is missing from this page. Installing software by clicking links will not work.");
}	}

/* fp_pathFromRoot(fileName)
 * returns path from root of CD
*/
function fp_pathFromRoot(fn) { //v1.0
	return fn.substring(fn.lastIndexOf("//")+5,fn.length);
}

/* launch(fileName)
 * calls VBScript to run file (if IE4+)
*/
function launch(fn) { //v1.0
	if (document.ie4plus) {
		fp_LaunchFile(fp_getILPath(fn)); // call to VBScript - make sure it's on doc!
}	}

/* fp_getILPath(fileName)
 * return IntraLaunch-style backslashed file path
*/
function fp_getILPath(fn) { //v1.0
	return "*:\\" + fp_forwardToBackSlash(fn);	 		 
}

/* fp_forwardToBackSlash(fileName)
 * returns string with forward slashes converted to backslashes
*/
function fp_forwardToBackSlash(fn) { //v1.0
	return fn.split("/").join("\\");
}

/* fp_swapArrow(origImage, newImage)
 * Searches for origImage in the index that is linked to the current documnet
 * and changes it to newImage. Used to highlight the current document
 * in the index. newImage path must be relative to origImage (? - keep 'em in same dir).
*/
function fp_swapArrow(origImage, newImage) { //v1.0
	var doesDOM = document.getElementsByTagName;
	if (document.ie4plus || doesDOM) {
		var ancs = (doesDOM) ? document.getElementsByTagName("a") : document.all.tags("a");
		var found = false;
		for(var i=0;i<ancs.length && !found;i++) {
			if (document.location.toString().indexOf(ancs[i].href) == 0) {
				var imgs = (doesDOM) ? ancs[i].getElementsByTagName("img") : ancs[i].all.tags("img");
				for(var j=0;j<imgs.length && !found;j++) {
					var imgsrc = imgs[j].src;
					if (imgsrc.indexOf(origImage) != -1) {
						imgs[j].src = imgsrc.substring(0,imgsrc.lastIndexOf("/")+1)+newImage;
						found = true; break;
}	}	}	}	}	}

/* fp_checkBrowser()
 * Determine browser and OS
 * should be in body's onload
*/
function fp_checkBrowser() { //v1.0
	var bname = navigator.appName.toLowerCase();
	var bVersion = navigator.appVersion.toLowerCase();
	var bVer = parseInt(bVersion);
	var userAgent = navigator.userAgent.toLowerCase();
	
	(bname == "netscape" && bVer >=4) ? document.ns4plus=true : document.ns4plus=false;
	(bname == "microsoft internet explorer" && bVer >= 4) ? document.ie4plus = true : document.ie4plus = false;
	(bVersion.indexOf("msie 5") != -1) ? document.ie5plus = true : document.ie5plus = false;
	(bname.indexOf("netscape") != -1 && bVer >= 6) ? document.ns6plus = true : document.ns6plus = false;
	
	// Opera spoofs IE4 in appName!!
	if (userAgent.indexOf("opera 5") != -1){
		document.op5plus = true;
		document.ie4plus = false;
		document.ns4plus = false;
	}
	else document.op5plus = false;
	
	// Konqueror??
	
	// determine operating system of viewer
	(userAgent.indexOf("linux") != -1) ? document.linux = true : document.linux = false;
	(userAgent.indexOf("Win16") != -1) ? document.win16 = true : document.win16 = false;
}

/* fp_runWarning()
 * alerts browsers not capable of installing software to the fact
 * and prevents them proceding
*/
function fp_runWarning(){ //v1.0
	var d = document, retVal = false
	if (d.ie4plus) retVal = true;
	else if (d.op5plus) {
		retVal = confirm("Alert! To run files directly from Opera you must choose 'Run file'\nin the next dialog box. If you choose 'Save to disk' the installation\nwill not work.\n\nContinue?");	
	}
	else if (d.ns4plus && fp_getCookie('PCPLUS_CDN') != null) {
		retVal = confirm("Alert! To run files directly from Netscape you must have\nthe Netscape Open/Save dialog enabled. If it is,\nyou will get a 'Security Hazard' dialog box next. Choose 'Open'\nto run the file.\n\nIf you just get a 'Save to disk' dialog, you will not be able to use Netscape\nto install this software.\n\nSee the Netscape page under 'Help' for more information.\n\nDo you wish to continue?");	
	}
	else {
		alert('Alert! This will not work.\n\nYour browser does not allow the execution of files\ndirectly from the SuperDisc. If you do not understand\nthis, click OK, go to the Help section on the SuperDisc\nand read the instructions.');
		retVal = false;
	}
	document.MM_returnValue = retVal;
}

/* fp_emailWarning()
 * Warns users that they must have an email client configured to access the mailto link,
 * unless they've set the PCPLUS_CD3 cookie (on the help.htm page). Now why doesn't cancelling 
 * work in NS? Have tried everything, I think...
*/
function fp_emailWarning() { //v1.0
	var d = document;
	var retVal = true;
	if (fp_getCookie('PCPLUS_CD3') == null) {
		 if (d.ie4plus || d.ns4plus || d.op5plus) {
			retVal = confirm('Accessing this link will require you to have an\ne-mail client set up and integrated correctly.\n\nIf it is you will be taken to a New Message window\nwhere you can type in your message and then send it.\n\nIf you are not connected to a network, this means\nyou need a modem and Internet account setup and\nswitched on.\n\nDo you wish to continue?');
		}
		else {
			alert('Accessing this link will require you to have an\ne-mail client set up and integrated correctly.\n\nIf it is you will be taken to a New Message window\nwhere you can type in your message and then send it.\n\nIf you are not connected to a network, this means\nyou need a modem and Internet account setup and\nswitched on.');
		}
	}
	document.MM_returnValue = retVal;
}

/* fp_webWarning()
 * Alerts users they are accessing a remote link that requires an Internet connection.
 * Disabled with the PCPLUS_CD1 cookie, set on the help.htm page
*/
function fp_webWarning() { //v1.0
	var d = document, retVal = true;
	if (fp_getCookie('PCPLUS_CD1') == null) {
		if (d.ie4plus || d.ns4plus || d.op5plus) {
			retVal = confirm('Accessing this link will require you to go on-line.\n\nIf you are not connected to a network, this means\nyou need a modem and Internet account setup\nand switched on. Do you wish to continue?');
		}
		else {
			alert('Accessing this link will require you to go on-line.\n\nIf you are not connected to a network, this means\nyou need a modem and Internet account setup\nand switched on.');
		}
	}
	document.MM_returnValue = retVal;
}

/* fp_linkWarning()
 * Alerts users they are entering pages authored by a 3rd party, which may contain links
 * to the Internet that will require an Internet connection. Disabled by the PCPLUS_CD5
 * cookie
*/
function fp_linkWarning() { //v1.0
	if (fp_getCookie('PCPLUS_CD5') == null) {
		alert('This link takes you to pages authored by a third party.\n\nThey may contain links that lead onto the internet.\nIf you are not connected to a network, you will\nneed a modem and Internet account setup\nand switched on in order to follow them.');
	}
}

/* functions to get, set, delete and toggle cookies
 * original stuff written by Dave Taylor - now that's going back a way!
 * Cookies PCPLUS_CD2 & PCPLUS_CD4 were used to supress warnings no longer used
 * 	- don't be tempted to use them in case they're still lurking around
*/
function fp_setCookie(name, value) { //v1.0
	var exp = new Date();                                          // make new date object
	exp.setTime(exp.getTime() + (1000 * 60 * 60 * 24 * 1000));     // set it 1000 days ahead
	document.cookie = name + "=" + escape(value) + "; path=/; expires=" + exp.toGMTString();
}

function fp_getCookie(name) { //v1.0
	var cname = name + "=";               
	var dc = document.cookie;             
	    if (dc.length > 0) {              
	    begin = dc.indexOf(cname);       
	        if (begin != -1) {           
	        begin += cname.length;       
	        end = dc.indexOf(";", begin);
	            if (end == -1) end = dc.length;
	            return unescape(dc.substring(begin, end));
	        }
	    }
	return null;
}

function fp_delCookie(name) { //v1.0
	document.cookie = name + "=; expires=Thu, 01-Jan-70 00:00:01 GMT" +  "; path=/";
}

function fp_toggle_cookie(num,value) { //v1.0
	if (fp_getCookie('PCPLUS_CD'+num)) fp_delCookie('PCPLUS_CD'+num);
	else fp_setCookie('PCPLUS_CD'+num,value);
}


/* Macromedia image swapping functions
 * (glad I didn't have to write these 'cause they're dead ugly :)
*/
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && document.getElementById) x=document.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}